### Method

# Clutter DesaturateEffect set_factor

#### Declaration [src]

    void
    clutter_desaturate_effect_set_factor (
      ClutterDesaturateEffect* effect,
      gdouble factor
    )

#### Description [src]

Sets the desaturation factor for `effect`, with 0.0 being “do not desaturate” and 1.0 being “fully desaturate”.

Sets property | `Clutter.DesaturateEffect:factor`

#### Parameters

`factor`

  Type: `gdouble`

  The desaturation factor, between 0.0 and 1.0.